#!BuildIgnore:          post-build-checks
Summary: 	3ware Disk Manager
Name: 		3dm2
Version: 	2.04.00.035
Release: 	2.2
License:	3Ware
Group: 		System Environment/Base
Source0: 	3DM2-Linux-9.4.0.1.tgz
Source1: 	3dm2.conf
Source2:	3dm2-rpmlintrc
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%if 0%{?suse_version} >= 1030
BuildRequires:	fdupes
%endif

%description
3ware Disk Manager 2 (3DM 2) allows you to manage and view the status
of 3ware RAID controllers and associated drives. 3DM runs as a service
under Microsoft Windows, and as a daemon under Linux. When it is
running, you can use your browser to view status and perform
administrative tasks locally or remotely.

3DM can display information about 3ware RAID 7000-, 8000- and
9000-series RAID controllers. However, some version 2 features are
only available for 9000-series controllers.

Two levels of access are provided: user and administrator. Users have
view-only access, and can check the status of drives and
units. Administrators can view and make changes, using 3DM to
configure RAID units and designate hot spares, and to perform
maintenance tasks on RAID units.

%prep
%setup -q -c
tar -xvzf 3dm-lnx.tgz

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_initdir}
mkdir -p %{buildroot}%{_sysconfdir}/3dm2/msg
mkdir -p %{buildroot}%{_docdir}/%{name}

%ifarch i386
install -p -m 0755 3dm2.x86 %{buildroot}%{_sbindir}/3dm2
%else
install -p -m 0755 3dm2.x86_64 %{buildroot}%{_sbindir}/3dm2
%endif


%if 0%{?suse_version}
%{__install} -D -m 0755 3dm2.suse \
    %{buildroot}%{_sysconfdir}/init.d/3dm2
%{__ln_s} -f %{_sysconfdir}/init.d/3dm2 %{buildroot}%{_sbindir}/rc3dm2
%endif

%if 0%{?fedora_version} || 0%{?rhel_version} || 0%{?centos_version}
%{__install} -D -m 0755 3dm2.redhat \
    %{buildroot}%{_sysconfdir}/init.d/3dm2
%{__ln_s} -f %{_sysconfdir}/init.d/3dm2 %{buildroot}%{_sbindir}/rc3dm2
%endif

tar zxf 3dm-msg.tgz -C %{buildroot}%{_sysconfdir}/3dm2/msg
tar zxf 3dm-help.tgz -C %{buildroot}%{_docdir}/%{name} 
install -p -m 0644 license.txt %{buildroot}%{_docdir}/%{name} 
find %{buildroot}%{_docdir}/%{name} -type d -exec chmod 755 {} \;
find %{buildroot}%{_docdir}/%{name} -type f -exec chmod 644 {} \;

sed -e's,@HELP@,%{_docdir}/%{name}-%{version},' \
    -e's,@MSG@,%{_sysconfdir}/3dm2/msg,' \
    < %{SOURCE1} > %{buildroot}%{_sysconfdir}/3dm2/3dm2.conf
chmod 0600 %{buildroot}%{_sysconfdir}/3dm2/3dm2.conf

%if 0%{?suse_version} >= 1030
%fdupes
%endif

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add 3dm2

%preun
if [ $1 = 0 ]; then
        /sbin/service 3dm2 stop > /dev/null 2>&1
        /sbin/chkconfig --del 3dm2
fi

%files
%defattr(-,root,root,-)
%dir %{_docdir}/%{name}
%doc %{_docdir}/%{name}
%{_sbindir}/3dm2
%{_sysconfdir}/init.d/3dm2
%{_sbindir}/rc3dm2
%dir %{_sysconfdir}/3dm2
%{_sysconfdir}/3dm2/msg
%config(noreplace) %{_sysconfdir}/3dm2/3dm2.conf

%changelog
* Sat Jan 10 2009 Carsten Schoene <cs@linux-administrator.com>
- fix doc permissions
- add rpmlintrc
- fix suse init script
* Thu Apr 24 2008 Juergen Gotteswinter <jg@internetx.de>
- Initial build.

